org.eclipse.viatra.query.tooling.generator.model.generatorModel.util

## Class GeneratorModelAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.viatra.query.tooling.generator.model.generatorModel.util.GeneratorModelAdapterFactory

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.AdapterFactory

      public class GeneratorModelAdapterFactory
      extends org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

  The Adapter Factory for the model. It provides an adapter `createXXX` method for each class of the model.
  See Also:
    `GeneratorModelPackage`
  Generated:

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static GeneratorModelPackage` | `modelPackage` The cached model package.
    `protected GeneratorModelSwitch<org.eclipse.emf.common.notify.Adapter>` | `modelSwitch` The switch that delegates to the `createXXX` methods.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeneratorModelAdapterFactory()` Creates an instance of the adapter factory.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.Adapter` | `createAdapter(org.eclipse.emf.common.notify.Notifier target)` Creates an adapter for the `target`.
    `org.eclipse.emf.common.notify.Adapter` | `createConfigurationAdapter()` Creates a new adapter for an object of class '`Configuration`'.
    `org.eclipse.emf.common.notify.Adapter` | `createEObjectAdapter()` Creates a new adapter for the default case.
    `org.eclipse.emf.common.notify.Adapter` | `createGeneratorModelReferenceAdapter()` Creates a new adapter for an object of class '`Reference`'.
    `org.eclipse.emf.common.notify.Adapter` | `createPropertyAdapter()` Creates a new adapter for an object of class '`Property`'.
    `org.eclipse.emf.common.notify.Adapter` | `createViatraQueryGeneratorModelAdapter()` Creates a new adapter for an object of class '`Viatra Query Generator Model`'.
    `boolean` | `isFactoryForType(java.lang.Object object)` Returns whether this factory is applicable for the type of the object.

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

      `adapt, adapt, adaptAllNew, adaptNew, associate, createAdapter, resolve`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static GeneratorModelPackage modelPackage

      The cached model package.
      Generated:

    - #### modelSwitch

          protected GeneratorModelSwitch<org.eclipse.emf.common.notify.Adapter> modelSwitch

      The switch that delegates to the `createXXX` methods.
      Generated:

  - ### Constructor Detail

    - #### GeneratorModelAdapterFactory

          public GeneratorModelAdapterFactory()

      Creates an instance of the adapter factory.
      Generated:

  - ### Method Detail

    - #### isFactoryForType

          public boolean isFactoryForType(java.lang.Object object)

      Returns whether this factory is applicable for the type of the object. This implementation returns `true` if the object is either the model's package or is an instance object of the model.
      Specified by:
        `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
      Overrides:
        `isFactoryForType` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Returns:
        whether this factory is applicable for the type of the object.
      Generated:

    - #### createAdapter

          public org.eclipse.emf.common.notify.Adapter createAdapter(org.eclipse.emf.common.notify.Notifier target)

      Creates an adapter for the `target`.
      Overrides:
        `createAdapter` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`
      Parameters:
        `target` - the object to adapt.
      Returns:
        the adapter for the `target`.
      Generated:

    - #### createViatraQueryGeneratorModelAdapter

          public org.eclipse.emf.common.notify.Adapter createViatraQueryGeneratorModelAdapter()

      Creates a new adapter for an object of class '`Viatra Query Generator Model`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `ViatraQueryGeneratorModel`
      Generated:

    - #### createGeneratorModelReferenceAdapter

          public org.eclipse.emf.common.notify.Adapter createGeneratorModelReferenceAdapter()

      Creates a new adapter for an object of class '`Reference`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `GeneratorModelReference`
      Generated:

    - #### createConfigurationAdapter

          public org.eclipse.emf.common.notify.Adapter createConfigurationAdapter()

      Creates a new adapter for an object of class '`Configuration`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Configuration`
      Generated:

    - #### createPropertyAdapter

          public org.eclipse.emf.common.notify.Adapter createPropertyAdapter()

      Creates a new adapter for an object of class '`Property`'. This default implementation returns null so that we can easily ignore cases; it's useful to ignore a case when inheritance will catch all the cases anyway.
      Returns:
        the new adapter.
      See Also:
        `Property`
      Generated:

    - #### createEObjectAdapter

          public org.eclipse.emf.common.notify.Adapter createEObjectAdapter()

      Creates a new adapter for the default case. This default implementation returns null.
      Returns:
        the new adapter.
      Generated: